# LibExif.mak
# Created by IBM WorkFrame/2 MakeMake at 22:46:48 on 22 Mar 2002
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker
#  Lib::Import Lib

.SUFFIXES:

.SUFFIXES: \
    .LIB .c .dll .obj 

.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /I..\ /Sp1 /Ss /Q /O /Gm /Ge- /G5 /Gs /Ms /Gi /Ft- /C %s

{D:\OWNER\ThirdEye\LibExif\libjpeg}.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /I..\ /Sp1 /Ss /Q /O /Gm /Ge- /G5 /Gs /Ms /Gi /Ft- /C %s

{D:\OWNER\ThirdEye\LibExif\libexif}.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /I..\ /Sp1 /Ss /Q /O /Gm /Ge- /G5 /Gs /Ms /Gi /Ft- /C %s

{D:\OWNER\ThirdEye\LibExif}.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /I..\ /Sp1 /Ss /Q /O /Gm /Ge- /G5 /Gs /Ms /Gi /Ft- /C %s

.dll.LIB:
    @echo " Lib::Import Lib "
    implib.exe %|dpfF.LIB %s

{D:\OWNER\ThirdEye\LibExif\libjpeg}.dll.LIB:
    @echo " Lib::Import Lib "
    implib.exe %|dpfF.LIB %s

{D:\OWNER\ThirdEye\LibExif\libexif}.dll.LIB:
    @echo " Lib::Import Lib "
    implib.exe %|dpfF.LIB %s

{D:\OWNER\ThirdEye\LibExif}.dll.LIB:
    @echo " Lib::Import Lib "
    implib.exe %|dpfF.LIB %s

all: \
    .\LibExif.LIB

.\LibExif.dll: \
    .\exif_tag.obj \
    .\exif_utils.obj \
    .\jpeg_data.obj \
    .\jpeg_marker.obj \
    .\exif_byte_order.obj \
    .\exif_content.obj \
    .\exif_data.obj \
    .\exif_entry.obj \
    .\exif_format.obj \
    {$(LIB)}LibExif.def
    @echo " Link::Linker "
    icc.exe @<<
     /B" /nop /m"
     /FeLibExif.dll 
     LibExif.def
     .\exif_tag.obj
     .\exif_utils.obj
     .\jpeg_data.obj
     .\jpeg_marker.obj
     .\exif_byte_order.obj
     .\exif_content.obj
     .\exif_data.obj
     .\exif_entry.obj
     .\exif_format.obj
<<

.\exif_tag.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_tag.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_i18n.h \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_tag.h

.\exif_format.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_format.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_format.h

.\exif_entry.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_entry.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_utils.h \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_entry.h \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_i18n.h

.\exif_data.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_data.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_data.h

.\exif_content.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_content.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_content.h

.\exif_byte_order.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_byte_order.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_byte_order.h

.\jpeg_marker.obj: \
    D:\OWNER\ThirdEye\LibExif\libjpeg\jpeg_marker.c \
    {D:\OWNER\ThirdEye\LibExif\libjpeg;..\;$(INCLUDE);}jpeg_marker.h

.\jpeg_data.obj: \
    D:\OWNER\ThirdEye\LibExif\libjpeg\jpeg_data.c \
    {D:\OWNER\ThirdEye\LibExif\libjpeg;..\;$(INCLUDE);}jpeg_data.h

.\exif_utils.obj: \
    D:\OWNER\ThirdEye\LibExif\libexif\exif_utils.c \
    {D:\OWNER\ThirdEye\LibExif\libexif;..\;$(INCLUDE);}exif_utils.h

.\LibExif.LIB: \
    .\LibExif.dll
